For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETList invited projects
      • GETList projects
      • GETList projects by account
      • GETList recently deleted assets
      • GETShow project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProjects

List recently deleted assets

GET
https://api.frame.io/v4/accounts/:account_id/projects/:project_id/recently_deleted
GET
/v4/accounts/:account_id/projects/:project_id/recently_deleted
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.projects.recently_deleted(
8 account_id="5d5c956d-2550-4e43-b1c2-6a9f3237b3ae",
9 project_id="a42310bf-2cdb-4d3e-89d8-45e80f0766ed",
10 api_version="experimental",
11)
1{
2 "data": [
3 {
4 "type": "file",
5 "created_at": "2026-01-20T00:00:00.000000Z",
6 "deleted_at": "2026-01-21T00:10:24.039823Z",
7 "file_size": 1137444,
8 "id": "5b8d1c7e-2a3f-4b9e-8c1d-6e7f8a9b0c1d",
9 "media_type": "video/mp4",
10 "name": "video.mp4",
11 "parent_id": "2b3c4d5e-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
12 "project_id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
13 "status": "uploaded",
14 "updated_at": "2026-01-20T00:00:00.000000Z"
15 }
16 ],
17 "links": {
18 "next": null
19 }
20}

List all recently deleted assets (files, folders, and version stacks) in a project. Returns a flat list ordered by deletion time (most recent first).
Rate Limits: 5 calls per 1 second(s) per account_user

Was this page helpful?
Previous

Show project

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
project_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

Headers

api-versionenumRequired
Allowed values:

Query parameters

sortenumOptional
Sort recently deleted assets
Allowed values:
afterstringOptional

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerOptional1-100Defaults to 50
Page size query param for requests
include_total_countbooleanOptionalDefaults to false
Page query param to include the count of all entities

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
datalist of objects
Deleted assets
linksobject
Links to paginated data

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).